> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bookings



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json post /tourbuilder/v1/tdms/booking/{productIdentifier}
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tourbuilder/v1/tdms/booking/{productIdentifier}:
    post:
      tags:
        - tdmsebs-controller
      summary: Bookings
      operationId: nonGroupBookingUsingPOST
      parameters:
        - name: productIdentifier
          in: path
          description: productIdentifier
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/BookingsRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingResponse'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  requestBodies:
    BookingsRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BookingsRequest'
      description: bookingRequest
      required: true
  schemas:
    BookingResponse:
      type: object
      properties:
        bookingNotes:
          type: string
        bookingReferenceId:
          type: string
        errorMessage:
          type: string
        success:
          type: boolean
      title: BookingResponse
    BookingsRequest:
      type: object
      properties:
        additionalFields:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalFields'
        agency:
          $ref: '#/components/schemas/Agency'
        bookingDate:
          type: string
        bookingTimeId:
          type: string
        bookings:
          type: array
          items:
            $ref: '#/components/schemas/BookingRange'
        currencyCode:
          type: string
        customers:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        net:
          type: number
        orderReference:
          type: string
        pickupLocationId:
          type: string
        quantity:
          type: integer
          format: int32
        rrp:
          type: number
        voucherNumber:
          type: string
      title: BookingsRequest
    AdditionalFields:
      type: object
      properties:
        values:
          type: object
          additionalProperties:
            type: string
      title: AdditionalFields
    Agency:
      type: object
      properties:
        agent:
          type: string
        branch:
          type: string
        branchCode:
          type: string
        phone:
          type: string
      title: Agency
    BookingRange:
      type: object
      properties:
        bookingDetailCustomers:
          type: array
          items:
            $ref: '#/components/schemas/BookingDetailCustomer'
        bookingDetails:
          type: array
          items:
            $ref: '#/components/schemas/BookingDetail'
        endDate:
          type: string
        startDate:
          type: string
      title: BookingRange
    Customer:
      type: object
      properties:
        customerCountry:
          type: string
        customerDateOfBirth:
          type: string
        customerEmail:
          type: string
        customerFirstName:
          type: string
        customerIndex:
          type: integer
          format: int32
        customerLastName:
          type: string
        customerPhone:
          type: string
        customerTitle:
          type: string
        voucherComment:
          type: string
      title: Customer
    BookingDetailCustomer:
      type: object
      properties:
        customerIndex:
          type: integer
          format: int32
      title: BookingDetailCustomer
    BookingDetail:
      type: object
      properties:
        additionalFields:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalFields'
        bookingDate:
          type: string
        bookingTimeId:
          type: string
        currencyCode:
          type: string
        net:
          type: number
        pickupLocationId:
          type: string
        quantity:
          type: integer
          format: int32
        rrp:
          type: number
        voucherNumber:
          type: string
      title: BookingDetail

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.